Retrieve a consignment
curl --request GET \
--url https://{tenant}.mytraddal.com/admin/api/v1/consignments/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mytraddal.com/admin/api/v1/consignments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{tenant}.mytraddal.com/admin/api/v1/consignments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "cons_01J9ZK...",
"shipment_ref": "SHIP-1001",
"status": "created",
"sender": { "company_name": "Acme Ltd", "country_code": "GB" },
"receiver": { "company_name": "Acme Inc", "city": "New York", "country_code": "US" },
"parcels": [
{
"barcode": "PB123456789GB",
"orders": [
{
"items": [
{
"sku": "BKP-40L",
"description": "Waterproof hiking backpack 40L",
"quantity": 2,
"unit_value": 45.0,
"currency_code": "USD",
"country_of_origin": "VN",
"harmonised_code": "4202.92"
}
]
}
]
}
],
"created_at": "2026-07-19T09:12:00Z"
}
Consignments
Retrieve a consignment
Fetch a single consignment with its parties, parcels, and items.
GET
/
consignments
/
{id}
Retrieve a consignment
curl --request GET \
--url https://{tenant}.mytraddal.com/admin/api/v1/consignments/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mytraddal.com/admin/api/v1/consignments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{tenant}.mytraddal.com/admin/api/v1/consignments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "cons_01J9ZK...",
"shipment_ref": "SHIP-1001",
"status": "created",
"sender": { "company_name": "Acme Ltd", "country_code": "GB" },
"receiver": { "company_name": "Acme Inc", "city": "New York", "country_code": "US" },
"parcels": [
{
"barcode": "PB123456789GB",
"orders": [
{
"items": [
{
"sku": "BKP-40L",
"description": "Waterproof hiking backpack 40L",
"quantity": 2,
"unit_value": 45.0,
"currency_code": "USD",
"country_of_origin": "VN",
"harmonised_code": "4202.92"
}
]
}
]
}
],
"created_at": "2026-07-19T09:12:00Z"
}
Requires the
Related sub-resources on the same base path:
consignments:read scope.
string
required
The consignment ID.
| Path | Returns |
|---|---|
GET /consignments/{id}/assessments | Duty/tax assessments run against the consignment |
GET /consignments/{id}/timeline | The human-readable event timeline |
GET /consignments/{id}/events | Raw timeline events |
GET /consignments/{id}/holds | Active and released holds |
GET /consignments/{id}/documents | Generated trade documents |
GET /consignments/{id}/pre-alerts | Pre-alerts sent for this consignment |
{
"id": "cons_01J9ZK...",
"shipment_ref": "SHIP-1001",
"status": "created",
"sender": { "company_name": "Acme Ltd", "country_code": "GB" },
"receiver": { "company_name": "Acme Inc", "city": "New York", "country_code": "US" },
"parcels": [
{
"barcode": "PB123456789GB",
"orders": [
{
"items": [
{
"sku": "BKP-40L",
"description": "Waterproof hiking backpack 40L",
"quantity": 2,
"unit_value": 45.0,
"currency_code": "USD",
"country_of_origin": "VN",
"harmonised_code": "4202.92"
}
]
}
]
}
],
"created_at": "2026-07-19T09:12:00Z"
}
⌘I